Use replica for reading the last dispatch position (chd_seen)
Closed, ResolvedPublic

Description

We could use a replica database to read the latest seen state (chd_seen) from the wb_changes_dispatch table.

In order to prevent double dispatching, the dispatcher bumping chd_seen would need to keep it locked until the master change in question replicated to all replicas.

This especially makes sense when implemented with T162556: Consider only updating wb_changes_dispatch after a successful run which removes writing to the wb_changes_dispatch table right before the actual dispatching starts.

hoo created this task.Apr 9 2017, 6:43 PM
hoo updated the task description. (Show Details)

Change 353478 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Do not update chd_seen twice and use replica for reading

https://gerrit.wikimedia.org/r/353478

Ladsgroup moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.
Ladsgroup claimed this task.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMay 16 2017, 12:23 PM

Change 353478 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Do not update chd_seen twice and use replica for reading

https://gerrit.wikimedia.org/r/353478

Ladsgroup closed this task as Resolved.Jun 29 2017, 12:29 AM